#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cmark
Version		:	0.30.2
Release		:	14.4.0.0%{?dist}
Summary		:	CommonMark parsing and rendering

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and MIT
URL		:	https://github.com/commonmark/cmark/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++

#-----------------------------------------------------------------------------
%description
`%{name}` is the C reference implementation of CommonMark,
a rationalized version of Markdown syntax with a spec.
	
It provides a shared library (`libcmark`) with functions for parsing
CommonMark documents to an abstract syntax tree (AST), manipulating
the AST, and rendering the document to HTML, groff man, LaTeX,
CommonMark, or an XML representation of the AST.  It also provides a
command-line program (`cmark`) for parsing and rendering CommonMark
documents.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel

Summary		:	Development files for cmark

#-----------------------------------------------------------------------------
Requires	:       %{name}-lib = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package provides the development files for cmark.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc README.md
%{_includedir}/%{name}.h
%{_includedir}/%{name}_export.h
%{_includedir}/%{name}_version.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_mandir}/man3/%{name}.3.gz
	
#=============================================================================
%package		lib

Summary		:	CommonMark parsing and rendering library

#-----------------------------------------------------------------------------
%description		lib
This package provides the cmark library.

#-----------------------------------------------------------------------------
%files			lib
%defattr(-,root,root, -)
%license COPYING
%{_libdir}/lib%{name}.so.%{version}

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B build					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMARK_TESTS=OFF				\
	-D CMARK_STATIC=OFF				\

cmake							\
	--build build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}						\
cmake								\
	--install build						\

#-----------------------------------------------------------------------------
%changelog
